#ifndef MESSAGEDIALOG_H
#define MESSAGEDIALOG_H

#include <QDialog>
#include <QMovie>
#include <QTimer>

namespace Ui {
class MessageDialog;
}

class MessageDialog : public QDialog
{
    Q_OBJECT

public:
    explicit MessageDialog(QWidget *parent = 0);
    ~MessageDialog();
    void setMessage(QString title, QString msg);

protected:
    void mouseMoveEvent(QMouseEvent *event) override;
    void mousePressEvent(QMouseEvent *event) override;

public slots:
    void updateUI();

private:
    Ui::MessageDialog *ui;
    QPoint dragPosition;
};

#endif // MESSAGEDIALOG_H
